
_check()
{
	local i
	local pkgs
#	local cache=/tmp/_bean_pkginst_dpkg
	
#	if [ -f "${cache}"] ; then
#		pkgs=$(cat "${cache}")
#	else
		pkgs=`dpkg -l | grep -v ^rc | awk '{print $2}'`
#		echo "${pkgs}" > "${cache}"
#	fi

	# 一つでもインストールされていない場合はnを返す
	for i in $@ ; do
		if [ $(echo "${pkgs}" | grep "${i}" | wc -l) -lt 1 ] ; then
			echo n
			return 0
		fi
	done
	echo y
}

_clean()
{
	echo -----
	echo 不要になったパッケージとキャッシュと消去します。
	echo 
	sudo apt-get autoremove
	sudo dpkg --purge `dpkg -l | grep ^rc | cut -f3 -d " "` 2>/dev/null
	sudo apt-get autoclean
	sudo apt-get clean
	echo
}

_update()
{
	echo -----
	echo データベースを最新の状態に更新します。
	sudo apt-get update
	sudo apt-get autoclean
	sudo apt-get clean
	echo
}

_install()
{
	echo -----
	echo パッケージ $@ をインストールします。
	echo
	sudo apt-get install --no-install-recommends $@
	echo
}

_purge()
{
	echo -----
	echo パッケージ $@ をアンインストールします。
	echo
	sudo apt-get purge $@
	echo
}

_desktop()
{
	local desktop
	desktop=$(eval echo $(cat "${HOME}/.config/user-dirs.dirs" | grep ^XDG_DESKTOP_DIR= | grep -o '=.*$' | sed -e 's/"//igm' -e 's/=//igm'))
	if [ ! "$desktop" == "" ] ; then
		echo "$desktop"
	else
		if [ -d "$HOME/デスクトップ" ] ; then
			echo "$HOME/デスクトップ"
		elif [ -d "$HOME/Desktop" ] ; then
			echo "$HOME/Desktop"
		elif [ -d "$HOME/ドキュメント" ] ; then
			echo "$HOME/ドキュメント"
		elif [ -d "$HOME/Documents" ] ; then
			echo "$HOME/Documents"
		else
			echo "$HOME"
		fi
	fi
}
